import { Control } from 'react-hook-form';

export type FormFieldSecretProps = {
    control?: Control | undefined;
    name: string;
    required?: boolean | undefined;
    helpText?: string | JSX.Element | undefined;
    /**
     * The name/type of the secret data, e.g. "password", "CC number".
     * Appears as "Show password", "Hide CC number" etc.
     */
    accessibleCopyName?: string | undefined;
    defaultRevealed?: boolean | undefined;
    onToggleSecretClick?: ((revealed: boolean) => void) | undefined;
    label: string;
    ariaLabelText?: string | undefined;
    className?: string | undefined;
    disabled?: boolean | undefined;
    readonly?: boolean | undefined;
    [key: string]: unknown;
};
export declare const FormFieldSecret: ({ name, control, label, ...otherProps }: FormFieldSecretProps) => import("react").JSX.Element;
//# sourceMappingURL=FormFieldSecret.d.ts.map