import { jsx } from "react/jsx-runtime";
import { C as Controller } from "../../../index.esm-AfIc0_PB.js";
import FormFieldSecret$1 from "../../vendor/FormFieldSecret.js";
const FormFieldSecret = ({
  name,
  control,
  label,
  ...otherProps
}) => {
  if (!control) {
    throw new Error(
      "FormFieldSecret must be used within a Form component or with a `control` prop provided from `react-hook-form`."
    );
  }
  return /* @__PURE__ */ jsx(
    Controller,
    {
      name,
      control,
      render: ({ field }) => {
        return /* @__PURE__ */ jsx(FormFieldSecret$1, { label, ...otherProps, ...field });
      }
    }
  );
};
export {
  FormFieldSecret
};
//# sourceMappingURL=FormFieldSecret.js.map
