import { jsx } from "react/jsx-runtime";
import Select$1 from "../../vendor/Select/Select.js";
import { C as Controller } from "../../../index.esm-AfIc0_PB.js";
import FormField from "../../vendor/FormField.js";
const Select = ({
  label,
  helpText,
  control,
  name,
  options,
  required,
  disabled,
  error,
  ...rest
}) => {
  const formFieldProps = {
    label,
    disabled,
    helpText,
    error: error == null ? void 0 : error.message
  };
  const baseSelectProps = {
    valueOnly: true,
    required,
    options,
    ...rest
  };
  if (!control || !name) {
    return /* @__PURE__ */ jsx(
      FormField,
      {
        ...formFieldProps,
        control: /* @__PURE__ */ jsx(Select$1, { ...baseSelectProps })
      }
    );
  }
  return /* @__PURE__ */ jsx(
    FormField,
    {
      ...formFieldProps,
      control: /* @__PURE__ */ jsx(
        Controller,
        {
          name,
          control,
          render: ({ field }) => {
            return /* @__PURE__ */ jsx(Select$1, { ...field, ...baseSelectProps });
          }
        }
      )
    }
  );
};
export {
  Select
};
//# sourceMappingURL=Select.js.map
